default-lease-time 600;
max-lease-time 7200;

authoritative; # notre serveur fait autorité sur son réseau

# les requêtes DHCP sont servies aux machines de 192.168.0.(3 to 24)
# et le routeur est 192.168.0.1
subnet 192.168.0.0 netmask 255.255.255.0 {
  range 192.168.0.3 192.168.0.24;
  option broadcast-address 192.168.0.255;
  option routers 192.168.0.1;  # la passerelle
  option domain-name-servers 192.168.0.1; # la passerelle

  option tftp-server-name "le serveur";
  next-server 192.168.0.2; # adresse du serveur tftp (pour un PXE)
  filename "pxelinux.0"; fichier qui sera exécuté sur le client
}

# fixation de l'IP client
host s_lan_0 {
	hardware ethernet 00:12:34:56:AB:CD; adresse MAC du client
	fixed-address 192.168.0.3; # adresse attribuée
	option host-name "Le client"; # un nom pour la machine cliente
}